<footer>
  <p><a href="#top">Scroll to top.</a></p>
  <hr>
  <div class="generated-using">This site is generated using the
      {{ with .Site.Params.source.org_dir }}
          <a href="https://github.com/kaushalmodi/ox-hugo"><b>ox-hugo</b></a> package for Emacs/Org-mode +
      {{ end }}
      <a href="https://gitlab.com/winny.tech/winny-theme"><code>winny-theme</code></a> + Hugo <b>{{ hugo.Version }}</b>
      {{ with hugo.CommitHash }}
          (commit
          {{ . | replaceRE "^[0-9a-f]{7,}" `<a href="https://github.com/gohugoio/hugo/commit/${0}">${0}</a>` | replaceRE ":chroma-([0-9a-f]{7,})" `, using Chroma commit <a href="https://github.com/alecthomas/chroma/commit/${1}">${1}</a>` | safeHTML -}}
          )
      {{ end }}.
  </div>
  {{ with .Site.Params.footer }}
      {{- . | safeHTML -}}
  {{ end }}
  {{ block "footer" . }}{{ end }}
  <hr/>
  {{ with .GitInfo }} <!-- To enable this, put "enableGitInfo = true" in your site config.toml -->
      {{ $git := . }}
  {{ with $.Site.Params.source }}
  <div class="page-hash">
      This page was created/modified in commit <a href="{{ .url }}/commit/{{- $git.Hash -}}">
      {{- $git.AbbreviatedHash -}}</a> "{{ $git.Subject }}" on <b>{{ dateFormat "2006-01-02" $git.AuthorDate }}</b>.

  </div>
  {{ end }}
  {{ end }}
  {{ with .Site.Params.source }}
      <p>It is <b>updated automatically after each commit</b> to the <a href="{{ .url }}">
          <code>{{ .url | replaceRE "^.*/" "" }}</code> repo</a>.
          It was last updated on <i>{{ now.Format "Jan 02, 2006 15:04 MST" }}</i>.
      </p>
      <ul>
          {{ if .org_dir }}
              <li>The <i>actual <b>source</b></i>.. <a href="{{ .url }}/tree/master/{{ .org_dir }}">Org source dir</a></li>
              <li>
                  <ul>
                      <li>Below Markdown is exported from Org using <code>ox-hugo</code>.</li>
                  </ul>
              </li>
          {{ end }}
          {{ if .md_dir }}
              <li><a href="{{ .url }}/tree/master/{{ .md_dir }}">Markdown source dir</a></li>
          {{ end }}
      </ul>
    {{ end }}
</footer>
